Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlDecimal.Factory

    java.lang.Object
      org.apache.xmlbeans.XmlDecimal.Factory

Enclosing interface:
  XmlDecimal

    public static final class XmlDecimal.Factory

extends Object

A class with methods for creating instances of `XmlDecimal`.

Method Summary
`static XmlDecimal` | `newInstance()` Creates an empty instance of `XmlDecimal`
`static XmlDecimal` | `newInstance(XmlOptions options)` Creates an empty instance of `XmlDecimal`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDecimal` | `newValue(Object obj)` Creates an immutable `XmlDecimal` value
`static XmlDecimal` | `parse(File f)` Parses a `XmlDecimal` fragment from a File.
`static XmlDecimal` | `parse(File f, XmlOptions options)` Parses a `XmlDecimal` fragment from a File.
`static XmlDecimal` | `parse(InputStream is)` Parses a `XmlDecimal` fragment from an InputStream.
`static XmlDecimal` | `parse(InputStream is, XmlOptions options)` Parses a `XmlDecimal` fragment from an InputStream.
`static XmlDecimal` | `parse(Node node)` Parses a `XmlDecimal` fragment from a DOM Node.
`static XmlDecimal` | `parse(Node node, XmlOptions options)` Parses a `XmlDecimal` fragment from a DOM Node.
`static XmlDecimal` | `parse(Reader r)` Parses a `XmlDecimal` fragment from a Reader.
`static XmlDecimal` | `parse(Reader r, XmlOptions options)` Parses a `XmlDecimal` fragment from a Reader.
`static XmlDecimal` | `parse(String s)` Parses a `XmlDecimal` fragment from a String.
`static XmlDecimal` | `parse(String s, XmlOptions options)` Parses a `XmlDecimal` fragment from a String.
`static XmlDecimal` | `parse(URL u)` Parses a `XmlDecimal` fragment from a URL.
`static XmlDecimal` | `parse(URL u, XmlOptions options)` Parses a `XmlDecimal` fragment from a URL.
`static XmlDecimal` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDecimal` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDecimal` | `parse(javax.xml.stream.XMLStreamReader xsr)` Parses a `XmlDecimal` fragment from an XMLStreamReader.
`static XmlDecimal` | `parse(javax.xml.stream.XMLStreamReader xsr, XmlOptions options)` Parses a `XmlDecimal` fragment from an XMLStreamReader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static XmlDecimal newInstance()

  Creates an empty instance of `XmlDecimal`

### newInstance

    public static XmlDecimal newInstance(XmlOptions options)

  Creates an empty instance of `XmlDecimal`

### newValue

    public static XmlDecimal newValue(Object obj)

  Creates an immutable `XmlDecimal` value

### parse

    public static XmlDecimal parse(String s)
                            throws XmlException

  Parses a `XmlDecimal` fragment from a String. For example: "`<xml-fragment>1234.56789</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlDecimal parse(String s,
                                   XmlOptions options)
                            throws XmlException

  Parses a `XmlDecimal` fragment from a String. For example: "`<xml-fragment>1234.56789</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlDecimal parse(File f)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a File.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(File f,
                                   XmlOptions options)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a File.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(URL u)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a URL.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(URL u,
                                   XmlOptions options)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a URL.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(InputStream is)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from an InputStream.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(InputStream is,
                                   XmlOptions options)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from an InputStream.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(Reader r)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a Reader.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(Reader r,
                                   XmlOptions options)
                            throws XmlException,
                                   IOException

  Parses a `XmlDecimal` fragment from a Reader.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlDecimal parse(Node node)
                            throws XmlException

  Parses a `XmlDecimal` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlDecimal parse(Node node,
                                   XmlOptions options)
                            throws XmlException

  Parses a `XmlDecimal` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlDecimal parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                            throws XmlException,
                                   org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlDecimal` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static XmlDecimal parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                   XmlOptions options)
                            throws XmlException,
                                   org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlDecimal` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static XmlDecimal parse(javax.xml.stream.XMLStreamReader xsr)
                            throws XmlException

  Parses a `XmlDecimal` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### parse

    public static XmlDecimal parse(javax.xml.stream.XMLStreamReader xsr,
                                   XmlOptions options)
                            throws XmlException

  Parses a `XmlDecimal` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            XmlOptions options)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD